>From 96ddf93ae79c3cd65e0e67502390fe68c8e613a3 Mon Sep 17 00:00:00 2001
From: Andreas Karlsson <andreas@proxel.se>
Date: Fri, 13 Feb 2015 00:29:47 +0100
Subject: [PATCH 3/4] Replace obsolete macros AC_LANG_SAVE/AC_LANG_RESTORE with
 AC_LANG_PUSH/AC_LANG_POP.

The new versions were added in autoconf 2.49a, and at some point since
then the old versions were marked as obsolete.
---
 config/acx_pthread.m4 | 5 ++---
 configure             | 1 -
 2 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/config/acx_pthread.m4 b/config/acx_pthread.m4
index ebb4f06..793b7b7 100644
--- a/config/acx_pthread.m4
+++ b/config/acx_pthread.m4
@@ -5,8 +5,7 @@ dnl upstream changes!
 dnl
 AC_DEFUN([ACX_PTHREAD], [
 AC_REQUIRE([AC_CANONICAL_HOST])
-AC_LANG_SAVE
-AC_LANG_C
+AC_LANG_PUSH([C])
 acx_pthread_ok=no
 
 # We used to check for pthread.h first, but this fails if pthread.h
@@ -167,5 +166,5 @@ fi
 AC_SUBST(PTHREAD_LIBS)
 AC_SUBST(PTHREAD_CFLAGS)
 
-AC_LANG_RESTORE
+AC_LANG_POP([C])
 ])dnl ACX_PTHREAD
diff --git a/configure b/configure
index f4b9da1..71038b3 100755
--- a/configure
+++ b/configure
@@ -12365,7 +12365,6 @@ fi
 if test "$enable_thread_safety" = yes -a "$PORTNAME" != "win32"; then
 
 
-
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-- 
2.1.4

